/*
 * Copyright ©Rastislav Mirek. All rights reserved.
 * No waranty for this software or derived works.
 */

package cz.muni.fi.pb162.graphicalobjectexample.graphicalobjects;

/**
 * This interface represents TwoDimensionalGraphicalObject.
 * Method for geting perimeter could also be included hovewer that would not
 * be matematicly correct as there are 2-dimensional "shapes" that does not have any
 * perimeter - for example surface which has no perimeter nevertheless it stil has area
 * even though it's infinite
 *
 * Created 29.10.2009 at 1:02:37.
 *
 * @author Rastislav Mirek <rmirek at mail.muni.cz>
 * @version %I%, %G%
 * @since 1.0
 */
public interface TwoDimensionalGraphicalObject extends GraphicalObject{



    /**
     * 
     * @return area in pixels
     */
    double getArea();
}
