/*
 * Copyright ©Rastislav Mirek. All rights reserved.
 * No waranty for this software or derived works.
 */

package cz.muni.fi.pb162.graphicalobjectexample.viewer;

import cz.muni.fi.pb162.graphicalobjectexample.graphicalobjects.GraphicalObject;

/**
 * This class represents Viewer.
 *
 * Created 29.10.2009 at 13:07:45.
 *
 * @author Rastislav Mirek <rmirek at mail.muni.cz>
 * @version %I%, %G%
 * @since 1.0
 */
public class Viewer {

    private static GraphicalObjectDisplayer disp = new GraphicalObjectDisplayer();

    public static void install(GraphicalObject newGraphicalObject){
        disp.install(newGraphicalObject);
    }

    public static void start(){
        GraphicalObjectViewer.setDisplayer(disp);
        GraphicalObjectViewer.start();
    }
}
